Subject: Re: [PATCH 1/4] PowerPC 440EPx: Sequoia bootwrapper

From: Stefan Roese <[email-masked]>
Date: Wed, 29 Aug 2007 14:28:23 +0200

On Wednesday 29 August 2007, Valentine Barshak wrote:
> >> +#define DDR_GET_VAL(val, mask, shift)	(((val) >> (shift)) & (mask))
> >
> > Hm.  Having these as just DDR_... seems like it would lead to confusion
> > if there are other DDR controllers that get added later.  But I'm not
> > too picky either way.
>
> What names would you suggest? DDR_DENALI_... looks too long :)
> The names have been taken from the docs, I've just prefixed them with DDR_.

It's such a generic macro and not Denali or even SDRAM specific. So it really 
should be no problem to keep it as is.

Just my 0.02$.

Best regards,
Stefan